#ifndef CMD_SELECT_H_
#define CMD_SELECT_H_

#include <sqlextract/command.h>
#include <sqlextract/filter/filter.h>
#include <sqlextract/tables/table.h>
#include <sqlextract/format.h>

struct selcollist_t;

struct select_limit_t;

struct command_t *command_select_create(struct selcollist_t *columns,
		struct filter_t *where, struct table_t *table,
		struct select_limit_t *limit);

struct selcollist_t *selcollist_create(struct selcollist_t *head,
		struct filter_t *filter);
void selcollist_destroy(struct selcollist_t *scol);

struct select_limit_t *select_limit_create(struct filter_t *limit, struct filter_t *offset);
void select_limit_destroy(struct select_limit_t *lim);

#endif
