#ifndef FILTER_ARITHMETIC_H_
#define FILTER_ARITHMETIC_H_


#include <sqlextract/filter/filter_core.h>

struct filter_t *filter_create_add(struct filter_t *lhs, struct filter_t *rhs);
struct filter_t *filter_create_sub(struct filter_t *lhs, struct filter_t *rhs);
struct filter_t *filter_create_neg(struct filter_t *subfilter);

struct filter_t *filter_create_mul(struct filter_t *lhs, struct filter_t *rhs);
struct filter_t *filter_create_div(struct filter_t *lhs, struct filter_t *rhs);
struct filter_t *filter_create_mod(struct filter_t *lhs, struct filter_t *rhs);
#endif
